Subject: Mysterious addressbook - PLEASE DISREGARD LAST MESSAGE

From: Roy Thatcher <[email-masked]>
Date: Tue, 23 Sep 1997 11:47:21 -0500 (CDT)

Sorry, didn't mean to send last message.  Finally found that it is using
the password file.  I got fooled at first because I was on a node that
was using the YP passwd file on another node.  I had grepped for a name
that got expanded on the local /etc/passwd file and the name was missing.

Regards,
   Roy
=========================================================================
Roy C. Thatcher |Voice :630-840-8364     |Fermi National Accelerator Lab|
Fifth Floor     |FAX:   630-840-8481     |Mail Station 357              |
D0 Assembly Bldg|Pager: 847:536-1563     |Corner Kirk and Pine Streets  |
                |Email: [email-masked]|P. O. Box 500                 |
                |                        |Batavia, Illinois 60510       |
-------------------------------------------------------------------------
Web Master      |Training Coordinator    |Chair Fermilab                |
Code Librarian  |Computing Division      |Lecture Committee             |
Experiment D0   |                        |                              |
=========================================================================

---------- Forwarded message ----------
Date: Tue, 23 Sep 1997 11:42:34 -0500 (CDT)
From: Roy Thatcher <[email-masked]>
To: [email-masked]
Cc: William Davis <[email-masked]>, Roy Thatcher <[email-masked]>
Subject: Mysterious addressbook

Hello,
   Pine as installed at Fermilab seems to have a global addressbook with
a rather large number of entries but we cannot locate it to update it.
Pine has been supported by a series of people all of whom have left the
lab.  The behavior is the following.  There are a number of usernames
which I can specify in the To: field when composing a message and they
get expanded to include the full name even when I have no local
addressbook.  E.g. in the Cc : field of this message, I entered only
"thatcher".  The "Roy Thatcher" prefixing the internet address (with the 
default domain added) appeared as soon as I moved the cursor from the
header area.  I should add that there are many user names for which the
expansion occurs BUT NOT ALL.  I had assumed that one of the people who
set up pine a few years ago, created a global addressbook but I cannot 
find one.
   Here is what I do find:
1) In my own setup/config there is no global address book set.
2) If I check all the environment variable, only two have 'pine'
   in the variable name or its definition:
   a) PATH
   b) PINE_DIR which is the top level of the directories in which pine is
stored
   c) We are running Pine 3.95
   d) In the subdirectory, lib, of PINE_DIR, I find the file pine.conf
      but it has no global address book set.

Regards,
   Roy
=========================================================================
Roy C. Thatcher |Voice :630-840-8364     |Fermi National Accelerator Lab|
Fifth Floor     |FAX:   630-840-8481     |Mail Station 357              |
D0 Assembly Bldg|Pager: 847:536-1563     |Corner Kirk and Pine Streets  |
                |Email: [email-masked]|P. O. Box 500                 |
                |                        |Batavia, Illinois 60510       |
-------------------------------------------------------------------------
Web Master      |Training Coordinator    |Chair Fermilab                |
Code Librarian  |Computing Division      |Lecture Committee             |
Experiment D0   |                        |                              |
=========================================================================